Skip to main content
POST
/
vendors
/
klingai
/
v1
/
kling-v3-omni
/
reference-to-video
/
generation
Reference to Video Generation
curl --request POST \
  --url https://api.mulerouter.ai/vendors/klingai/v1/kling-v3-omni/reference-to-video/generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "A person walking through a beautiful garden",
  "images": [
    "https://example.com/reference.jpg"
  ],
  "mode": "pro",
  "aspect_ratio": "16:9",
  "duration": 5
}
'
{
  "task_info": {
    "id": "8e1e315e-b50d-4334-a231-be7d19a372f4",
    "status": "pending",
    "created_at": "2026-03-03T00:00:00Z",
    "updated_at": "2026-03-03T00:00:00Z"
  }
}

Overview

Generate videos from reference images using the Kling V3 Omni model. This mode focuses on using reference images to guide the video generation:
  • Reference images — provide images via the images array to guide generation
  • First/Last frame control — optionally set opening and closing frames
  • Element references — reference up to 7 elements (images + elements combined)
  • Multi-shot video — generate multi-scene videos via multi_shot and multi_prompt
  • Audio generation — produce synchronized audio with sound: "on"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
first_frame
string | null

First frame image (URL or Base64). Sets the opening frame of the generated video.

last_frame
string | null

Last frame image (URL or Base64). Sets the closing frame of the generated video.

prompt
string | null

Text prompt to guide video generation.

multi_prompt
object[]

Multi-segment prompts for finer control.

Required array length: 1 - 6 elements
negative_prompt
string | null

Negative prompt to exclude unwanted content.

images
string[]

List of reference image URLs or Base64 strings.

elements
object[]

Element list. Combined count of images and elements must not exceed 7.

Maximum array length: 7
sound
enum<string>
default:off

Whether to generate sound for the video.

Available options:
on,
off
mode
enum<string>
default:pro

Generation mode. std for standard quality, pro for higher quality.

Available options:
std,
pro
aspect_ratio
enum<string> | null

Aspect ratio of the generated video.

Available options:
16:9,
9:16,
1:1
duration
integer
default:5

Duration of the generated video in seconds (3-15).

multi_shot
boolean
default:false

Whether to enable multi-shot generation.

shot_type
enum<string> | null

Shot type configuration.

Available options:
customize,
intelligence

Response

Accepted - Task created successfully

task_info
object